Bug 1469865 - [Docs][RFE][Director][UI] Manage deployment plans that are loaded into UI
[Docs][RFE][Director][UI] Manage deployment plans that are loaded into UI
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity high
: ga
: 12.0 (Pike)
Assigned To: Dan Macpherson
Martin Lopes
docs-accepted
: FutureFeature, Triaged
Depends On: 1386297
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 23:18 EDT by Dan Macpherson
Modified: 2017-12-18 23:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-18 23:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2017-07-11 23:18:28 EDT
== DECRIPTION ==
As a cloud administrator I would like to be able to be able to edit deployment plans so that any changes made to the deployment plan are saved in the appropriate template form and any validations and configuration changes necessary to execute the deployment plan are saved so that I can execute the deployment plan in my environment with a successful validated deployment

== DOCS IMPACT ==
Director UI Plans are split into cards. Might require further examination on how they work and how the workflow occurs.
Comment 1 Lucy Bopf 2017-08-07 23:36:19 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2017-11-23 00:16:24 EST
This has been implemented as a part of the beta release:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12-beta/html/director_installation_and_usage/chap-configuring_basic_overcloud_requirements_with_the_ui_tools#sect-Importing_an_Overcloud_Plan_in_the_Web_UI

Honza and Ola, any chance you can take a look at the content and let me know if I've covered everything with regards to this feature?
Comment 7 Martin Lopes 2017-12-11 23:56:19 EST
LGTM

Note You need to log in before you can comment on or make changes to this bug.